Bug 708291 - as7: Deploy datasources
as7: Deploy datasources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Sunil Kondkar
Mike Foley
:
Depends On:
Blocks: jon3-sprint1 as7-plugin 708293 715334
  Show dependency treegraph
 
Reported: 2011-05-27 03:25 EDT by Heiko W. Rupp
Modified: 2012-02-07 14:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:27:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-27 03:25:17 EDT
Includes: 
- deploying of jdbc drivers
- adding new data sources
  - normal
  - XA
- removal of data sources
- removal of  jdbc driver


Note: until server side we have implemented the filling of drop downs from dynamic sources, the user will be able to enter random names for jdbc drivers. If such a driver does not exist yet on AS7, we must inform the user.
Comment 1 Heiko W. Rupp 2011-06-07 11:21:57 EDT
Listing of deployed drivers is done via subsystem=datasources:installed-drivers-list in standalone mode and via 
[standalone@localhost:9999 server=server-one] pwd
/host=local/server=server-one
[standalone@localhost:9999 server=server-one] ./subsystem=datasources:installed-drivers-list
{
    "outcome" => "success",
    "result" => [
        {
            "driver-name" => "h2",
            "deployment-name" => undefined,
            "driver-module-name" => "com.h2database.h2",
            "module-slot" => "main",
            "driver-xa-datasource-class-name" => "org.h2.jdbcx.JdbcDataSource",
            "driver-class-name" => "org.h2.Driver",
            "driver-major-version" => 1,
            "driver-minor-version" => 2,
            "jdbc-compliant" => true
        },
        {
            "driver-name" => "postgresql-9.0-801.jdbc4.jar",
            "deployment-name" => "postgresql-9.0-801.jdbc4.jar",
            "driver-module-name" => undefined,
            "module-slot" => undefined,
            "driver-xa-datasource-class-name" => undefined,
            "driver-class-name" => "org.postgresql.Driver",
            "driver-major-version" => 9,
            "driver-minor-version" => 0,
            "jdbc-compliant" => false
        }
    ],
    "compensating-operation" => undefined
}
Comment 2 Heiko W. Rupp 2011-07-06 12:11:10 EDT
branch as7plugin: data-sources and XA-data-source can now be deployed to the domain.
Comment 3 Mike Foley 2011-07-25 13:16:26 EDT
Sunil ... after verifying this, please make sure to add a testcase for this:

Standalone:  https://tcms.engineering.redhat.com/plan/4065/
Domain Controller:  https://tcms.engineering.redhat.com/plan/4071/
Comment 4 Sunil Kondkar 2011-08-16 08:05:12 EDT
Tested on master build#281.

Started AS-7 in standalone mode.

Verified deploying 'postgresql-9.0-801.jdbc4.jar'. Navigated to datasources and added non-xa and xa datasources. 
Verified Uninventory/delete of the datasources. Aslo verified Uninventory/delete of the jdbc driver.

However, i was not able to deploy a file to AS-7 domain mode. i am getting a NullPointerException after trying to deploy 'postgresql-9.0-801.jdbc4.jar' or a war file to the domain mode.

I filed a separate bug#730940 for this.

Added below test cases to the Standalone test plan:

https://tcms.engineering.redhat.com/case/108946/?from_plan=4065
https://tcms.engineering.redhat.com/case/108951/?from_plan=4065
https://tcms.engineering.redhat.com/case/108953/?from_plan=4065
https://tcms.engineering.redhat.com/case/108954/?from_plan=4065
https://tcms.engineering.redhat.com/case/108956/?from_plan=4065
https://tcms.engineering.redhat.com/case/108957/?from_plan=4065
https://tcms.engineering.redhat.com/case/108958/?from_plan=4065

Added below test cases to the Domain Controller test plan:

https://tcms.engineering.redhat.com/case/108933/?from_plan=4071
https://tcms.engineering.redhat.com/case/108936/?from_plan=4071
https://tcms.engineering.redhat.com/case/108937/?from_plan=4071
https://tcms.engineering.redhat.com/case/108940/?from_plan=4071
https://tcms.engineering.redhat.com/case/108941/?from_plan=4071
https://tcms.engineering.redhat.com/case/108942/?from_plan=4071
https://tcms.engineering.redhat.com/case/108943/?from_plan=4071
Comment 5 Sunil Kondkar 2011-08-17 05:23:22 EDT
Verified on build#283 (Version: 4.1.0-SNAPSHOT Build Number: 3c15c6f)

Verified on both standalone and Domain Controller modes. Deployed 'postgresql-9.0-801.jdbc4.jar'. Navigated to datasources and added non-xa and xa datasources.

Verified that while creating the datasources, the 'Driver Name' property displays a radio button with the value of deployed resource('postgresql-9.0-801.jdbc4.jar'

Verified Uninventory/delete of the datasources. Aslo verified Uninventory/delete of the jdbc driver.

Marking as verified.
Comment 6 Mike Foley 2012-02-07 14:27:29 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.